MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
MyGUI::IBNotifyItemData Struct Reference

`#include <MyGUI_IBItemInfo.h>`

## Public Types
enum | NotifyItem { MousePressed, MouseReleased, KeyPressed, KeyReleased }

## Public Member Functions
| IBNotifyItemData (size_t _index, NotifyItem _notify, int _x, int _y, MouseButton _id)
| IBNotifyItemData (size_t _index, NotifyItem _notify, KeyCode _code, Char _key)
| IBNotifyItemData (size_t _index, NotifyItem _notify, KeyCode _code)

## Data Fields
size_t | index
NotifyItem | notify
int | x
int | y
MouseButton | id
KeyCode | code
Char | key

## Detailed Description

Definition at line 58 of file MyGUI_IBItemInfo.h.

## Member Enumeration Documentation

enum MyGUI::IBNotifyItemData::NotifyItem

Enumerator
MousePressed |
MouseReleased |
KeyPressed |
KeyReleased |

Definition at line 60 of file MyGUI_IBItemInfo.h.

## Constructor & Destructor Documentation

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | int | _x,
|  | int | _y,
|  | MouseButton | _id
| ) |  |
| inline

Definition at line 68 of file MyGUI_IBItemInfo.h.

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | KeyCode | _code,
|  | Char | _key
| ) |  |
| inline

Definition at line 79 of file MyGUI_IBItemInfo.h.

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | KeyCode | _code
| ) |  |
| inline

Definition at line 90 of file MyGUI_IBItemInfo.h.

## Field Documentation

KeyCode MyGUI::IBNotifyItemData::code

If Key* notify type - key code, else 0

Definition at line 112 of file MyGUI_IBItemInfo.h.

MouseButton MyGUI::IBNotifyItemData::id

If Mouse* notify type - mouse button id position, else 0

Definition at line 110 of file MyGUI_IBItemInfo.h.

size_t MyGUI::IBNotifyItemData::index

Item index

Definition at line 102 of file MyGUI_IBItemInfo.h.

Char MyGUI::IBNotifyItemData::key

If Key* notify type - mouse button id position, else 0

Definition at line 114 of file MyGUI_IBItemInfo.h.

NotifyItem MyGUI::IBNotifyItemData::notify

Notify type

Definition at line 104 of file MyGUI_IBItemInfo.h.

int MyGUI::IBNotifyItemData::x

If Mouse* notify type - mouse x position, else 0

Definition at line 106 of file MyGUI_IBItemInfo.h.

int MyGUI::IBNotifyItemData::y

If Mouse* notify type - mouse y position, else 0

Definition at line 108 of file MyGUI_IBItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_IBItemInfo.h